Skip to main content
GET
/
calls
/
{id}
Get Call
curl --request GET \
  --url https://crm.universal.rollout.com/api/calls/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Rollout-Credential-Id: <api-key>'
{
  "id": "<string>",
  "personId": "<string>",
  "userId": "<string>",
  "phone": "<string>",
  "note": "<string>",
  "isIncoming": true,
  "outcome": "<string>",
  "duration": 123,
  "toNumber": "<string>",
  "fromNumber": "<string>",
  "recordingUrl": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "originalIds": {},
  "original": {}
}
GET /calls/{id} Base URL: https://crm.universal.rollout.com/api

Parameters

NameInTypeRequired
idpathstringYes

Responses

StatusDescription
200OK
400Bad Request
404Not Found
409Conflict

OpenAPI Source

/openapi/crm.json GET /calls/{id}

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Path Parameters

id
string
required

Response

OK

id
string
required
personId
string
required
userId
string
required
phone
string
required
note
string
required
isIncoming
boolean
required
outcome
string
required
duration
number
required
toNumber
string
required
fromNumber
string
required
recordingUrl
string
required
created
string
required
updated
string
required
rolloutUpdated
string
required
originalIds
object
required
original
object
required